Range-v3 Range algorithms, views, and actions for the Standard Library |

Functions | Variables
conversion.hpp File Reference

## Functions
template<template< typename... > class ContT>
auto | ranges::to () -> detail::to_container_fn< detail::from_range< ContT > >
| For initializing a container of the specified type with the elements of an Range. More...
template<template< typename... > class ContT, typename Rng , typename C = meta::invoke<detail::from_range<ContT>, Rng>> requires range<Rng> && detail::convertible_to_cont<Rng, C>
auto | ranges::to (Rng &&rng) -> C
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.
template<typename Cont , typename Rng > requires range<Rng> && detail::convertible_to_cont<Rng, Cont>
auto | ranges::to (Rng &&rng) -> Cont
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.
template<typename Cont , typename Rng > requires input_range<Rng> && (!detail::convertible_to_cont<Rng, Cont>) && detail::convertible_to_cont_cont<Rng, Cont>
auto | ranges::to (Rng &&rng) -> Cont
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

## Variables
constexpr detail::to_container_fn< detail::from_range< std::vector > > | ranges::to_vector {}